Bug 59380 - Default dictionaries set for Spanish UI
Summary: Default dictionaries set for Spanish UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: medium normal
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:4.0.0.2 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 20:48 UTC by jmontane
Modified: 2013-01-22 19:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jmontane 2013-01-14 20:48:37 UTC
Hi, 

according to file 
setup_native/source/packinfo/spellchecker_selection.txt

Spanish UI has assigned the following dictionaries: aragonesse, Spanish, French, Portuguesse (Portugal). English is also assigned for all UI languages.

I think the good choice is assign all languages spoken in Spain, plus Portuguesse, because many users don't have Catalan or Gallician UI but they work with documents in these languages.

So, my request is changing, in file, setup_native/source/packinfo/spellchecker_selection.txt

this line:

es = "an,es,fr,pt-PT"

by this one:

es = "ast,an,ca,es,fr,gl,oc,pt-PT"

or by this other one, if Asturian is not available:

es = "an,ca,es,fr,gl,oc,pt-PT"

That's Asturian, Aragonesse, Catalan, Spanish, French, Gallician, Occitan and Portuguesse (Portugal). English is also assigned for all UI languages.

AFAIK, There is no Basque/Euskara spell-dictionary for LibO, :(
Comment 1 Not Assigned 2013-01-15 07:30:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60b49d7213258cfc5cce0ffbb8ee8f8d426fe0b6&h=libreoffice-4-0

fdo#59380 Default dictionaries set for Spanish UI


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Not Assigned 2013-01-15 07:36:08 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0736a62dac9ecbe07dac121d492bdc4fe64befe2

fdo#59380 Default dictionaries set for Spanish UI



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2013-01-22 19:06:27 UTC
Aurimas Fišeras committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ce7bc907fcc80209bb203871b261dad1463c45e

Update default dictionaries set for Lithuanian (related to fdo#59380)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-01-22 19:17:29 UTC
Aurimas Fišeras committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=220cd9681959e2084b91053f6812ce4cdb651442&h=libreoffice-4-0

Update default dictionaries set for Lithuanian (related to fdo#59380)


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.